# NETWORK RULE

Config path: `/<database>/<schema>/network_rule/<name>.yaml`

Example:

```yaml
type: IPV4
mode: INGRESS
value_list:
  - 192.168.2.0/24
  - 192.168.1.99
```

```yaml
type: HOST_PORT
mode: EGRESS
value_list:
  - example.com
  - company.com:443
```

## Schema

* <mark style="background-color:red;">**type**</mark> (str) - network rule type (`IPV4`, `HOST_PORT`, etc.)
* <mark style="background-color:red;">**mode**</mark> (str) - restriction mode (`INGRESS`, `EGRESS`, `INTERNAL_STAGE`)
* **value\_list** (list)
  * *{items}* (str) - network identifiers that will be allowed or blocked
* **comment** (str)

## Links

* [CREATE NETWORK RULE](https://docs.snowflake.com/en/sql-reference/sql/create-network-rule)
* [SHOW NETWORK RULES](https://docs.snowflake.com/en/sql-reference/sql/show-network-rules)
* [DESC NETWORK RULE](https://docs.snowflake.com/en/sql-reference/sql/desc-network-rule)
* [Parser & JSON Schema (GitHub)](https://github.com/littleK0i/SnowDDL/blob/master/snowddl/parser/network_rule.py)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/basic/yaml-configs/network-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
